Skip to main content
DELETE
Cancel Subscription

Authorizations

Authorization
string
header
required

Service (M2M) access token issued by POST /auth/token using the client_credentials grant. Required scopes, where known, are listed on each operation below.

Path Parameters

provider_subscription_id
string
required

Provider subscription ID (e.g. test_subscription_id).

Body

application/json
cancel_at

"now" to cancel immediately, "period_end" to cancel at the end of the current billing period, or a future Unix timestamp (integer seconds), no later than the end of the current billing period, to cancel at that time. Defaults to "period_end" when omitted or null.

Available options:
now,
period_end
cancellation_details
object

Optional.

Response

Success.

data
object
required